GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
gdcm::MemberCommand< T > Class Template Reference

Command subclass that calls a pointer to a member function. More...

`#include <gdcmCommand.h>`

Inheritance diagram for gdcm::MemberCommand< T >:
[legend]
Collaboration diagram for gdcm::MemberCommand< T >:
[legend]

List of all members.

## Public Types

typedef MemberCommand | Self
typedef void(T::* | TConstMemberFunctionPointer )(const Subject *, const Event &)
typedef void(T::* | TMemberFunctionPointer )(Subject *, const Event &)

## Public Member Functions

virtual void | Execute (Subject *caller, const Event &event)
virtual void | Execute (const Subject *caller, const Event &event)
void | SetCallbackFunction (T *object, TMemberFunctionPointer memberFunction)
void | SetCallbackFunction (T *object, TConstMemberFunctionPointer memberFunction)

## Static Public Member Functions

static SmartPointer < MemberCommand > | New ()

## Protected Member Functions

| MemberCommand ()
virtual | ~MemberCommand ()

## Protected Attributes

TConstMemberFunctionPointer | m_ConstMemberFunction
TMemberFunctionPointer | m_MemberFunction
T * | m_This

## Detailed Description

### template<class T>
class gdcm::MemberCommand< T >

Command subclass that calls a pointer to a member function.

MemberCommand calls a pointer to a member function with the same arguments as Execute on Command.

## Member Typedef Documentation

template<class T >

typedef MemberCommand gdcm::MemberCommand< T >::Self

Standard class typedefs.

template<class T >

typedef void(T::* gdcm::MemberCommand< T >::TConstMemberFunctionPointer)(const Subject *, const Event &)

template<class T >

typedef void(T::* gdcm::MemberCommand< T >::TMemberFunctionPointer)(Subject *, const Event &)

pointer to a member function that takes a Subject* and the event

## Constructor & Destructor Documentation

template<class T >

gdcm::MemberCommand< T >::MemberCommand | ( |  | ) | `[inline, protected]`

Referenced by gdcm::MemberCommand< T >::New().

template<class T >

virtual gdcm::MemberCommand< T >::~MemberCommand | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

template<class T >

virtual void gdcm::MemberCommand< T >::Execute | ( | Subject * | caller,
|  | const Event & | event
| ) |  | `[inline, virtual]`

Invoke the member function.

Implements gdcm::Command.

References gdcm::MemberCommand< T >::m_MemberFunction.

template<class T >

virtual void gdcm::MemberCommand< T >::Execute | ( | const Subject * | caller,
|  | const Event & | event
| ) |  | `[inline, virtual]`

Invoke the member function with a const object.

Implements gdcm::Command.

References gdcm::MemberCommand< T >::m_ConstMemberFunction.

template<class T >

static SmartPointer<MemberCommand> gdcm::MemberCommand< T >::New | ( |  | ) | `[inline, static]`

Method for creation through the object factory.

References gdcm::MemberCommand< T >::MemberCommand().

template<class T >

void gdcm::MemberCommand< T >::SetCallbackFunction | ( | T * | object,
|  | TMemberFunctionPointer | memberFunction
| ) |  | `[inline]`

Run-time type information (and related methods). Set the callback function along with the object that it will be invoked on.

References gdcm::MemberCommand< T >::m_MemberFunction, and gdcm::MemberCommand< T >::m_This.

template<class T >

void gdcm::MemberCommand< T >::SetCallbackFunction | ( | T * | object,
|  | TConstMemberFunctionPointer | memberFunction
| ) |  | `[inline]`

References gdcm::MemberCommand< T >::m_ConstMemberFunction, and gdcm::MemberCommand< T >::m_This.

## Member Data Documentation

template<class T >

TConstMemberFunctionPointer gdcm::MemberCommand< T >::m_ConstMemberFunction`[protected]`

Referenced by gdcm::MemberCommand< T >::Execute(), and gdcm::MemberCommand< T >::SetCallbackFunction().

template<class T >

TMemberFunctionPointer gdcm::MemberCommand< T >::m_MemberFunction`[protected]`

Referenced by gdcm::MemberCommand< T >::Execute(), and gdcm::MemberCommand< T >::SetCallbackFunction().

template<class T >

T* gdcm::MemberCommand< T >::m_This`[protected]`

Referenced by gdcm::MemberCommand< T >::SetCallbackFunction().

The documentation for this class was generated from the following file:

- gdcmCommand.h